Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451027 - [ENH] Add GTC phase2 support
Summary: [ENH] Add GTC phase2 support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 474723 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 14:19 UTC by Major Hayden
Modified: 2009-12-18 06:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:12:55 UTC


Attachments (Terms of Use)

Description Major Hayden 2008-06-12 14:19:07 UTC
Description of problem:
GTC encapsulation support is unavailable when you choose WPA2 -> PEAP in NetworkManager.  Only 
MSCHAP/v2 and CHAP are shown, even though GTC is included in wpa_supplicant.  The same versions 
of NetworkManager on other distributions includes support for GTC.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3370.fc8 (Fedora 8)

Steps to Reproduce:
1. Click NetworkManager applet in GNOME
2. Choose a WPA-2 network
3. Choose LEAP
4. GTC is unavailable
  
Actual results:
GTC does not appear as a selection

Expected results:
GTC should appear as a selection

Additional info:
GTC is already included in wpa_supplicant, but is mysteriously missing in NetworkManager

Comment 1 Dan Williams 2008-08-11 17:56:30 UTC
Some of the infrastructure is not there yet, but support for this should be coming in the future.  Not sure how long.

Comment 2 S. Yoder 2008-09-23 05:00:15 UTC
Looking at nm-supplicant-settings-verify.c, taken from NetworkManager-0.7.0-0.11.svn4022.fc8.src.rpm, I see:
const char * phase2_allowed[] =   {"auth=PAP", "auth=CHAP", "auth=MSCHAP",
                                   "auth=MSCHAPV2", "auth=GTC", "auth=OTP",
                                   "auth=MD5", "auth=TLS", "autheap=MD5",
                                   "autheap=MSCHAPV2", "autheap=OTP",
                                   "autheap=GTC", "autheap=TLS", NULL };
But I'm not seeing GTC as an option for PEAP (nor TTLS). The last discussion regarding GTC support I'm finding on the networkmanager-list archives is from early 2007. Is there more still needed to be done or other configure options needed? Willing to help, unsure where to start.

Comment 3 Bug Zapper 2008-11-26 10:51:40 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:35:44 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 James Cassell 2009-02-18 02:47:39 UTC
This "Bug" (or lack of a feature) is still present in F10.  I think it was available in on older version, but I'm not sure.

related: http://bugzilla.gnome.org/show_bug.cgi?id=565065

Comment 6 Dan Williams 2009-02-18 11:18:16 UTC
*** Bug 474723 has been marked as a duplicate of this bug. ***

Comment 7 Dan Williams 2009-07-29 18:23:20 UTC
Fixed upstream in :

272c6a626a27f4d3a88a1aedd7887d63f6a818d5 (nm master)
272cf183c7963dfaf019b2f5afc816c0bd2dfd73 (applet master)

272c6a626a27f4d3a88a1aedd7887d63f6a818d5 (nm 0.7)
0461fff8039ce612fb5a50ce760b782f62457d59 (applet 0.7)

Comment 8 Ravikiran Rajagopal 2009-09-22 21:00:31 UTC
Is there any chance we can get an update for F-11? If not, would it be possible to rebuild the current 20090708 rpm after updating the sources to the 0.7 branch head (on both nm and applet), i.e., is the source on the 0.7 branch similar enough that the current spec file will work?

Comment 9 Dan Williams 2009-09-23 08:32:48 UTC
Yeah, we'll get an update for F10 and F11 soon here.

Comment 10 Dan Williams 2009-11-02 16:57:28 UTC
Fix has actually been in updates-testing for a bit...

F11 update:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

F10 update:

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-10546

Comment 11 Fedora Update System 2009-11-04 12:34:00 UTC
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 12 Bug Zapper 2009-11-18 10:13:18 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Fedora Update System 2009-12-07 07:35:23 UTC
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Bug Zapper 2009-12-18 06:12:55 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.